# $Id: draw_normal_message.tcl,v 1.1 2002/11/02 20:42:03 alexey Exp $

proc draw_normal_message {chatid from type body x} {
    if {[chat::is_our_jid $chatid $from]} {
	set tag me
    } else {
	set tag they
    }

    set chatw [chat::chat_win $chatid]
    set nick [chat::get_nick $from $type]

    $chatw insert end < $tag $nick $tag > $tag " "

    set cw [chat::winid $chatid]
    if {[cequal $type groupchat]} {
	set myjid [chat::our_jid $chatid]
	set mynick [chat::get_nick $myjid $type]

	if {[crange $body 0 [expr [clength $mynick] + 1]] == "${mynick}: "} {
	    $chatw insert end $mynick me
	    chat::add_emoteiconed_text $chatid \
		[crange $body [clength $mynick] end] ""
	    tab_set_updated $cw 1 mesg_to_user
	} else {
	    chat::add_emoteiconed_text $chatid $body ""
	    tab_set_updated $cw 1 message
	}
    } else {
	chat::add_emoteiconed_text $chatid $body ""
	tab_set_updated $cw 1 mesg_to_user
    }

    return stop
}
hook::add draw_message_hook [namespace current]::draw_normal_message 80
